Package org.eclipse.net4j.util.ui.views

# Class ManagedContainerItemProvider.Wrapper

java.lang.Object
org.eclipse.net4j.util.ui.views.ManagedContainerItemProvider.Wrapper

All Implemented Interfaces:
  `Comparable<ManagedContainerItemProvider.Wrapper>`

Enclosing class:
  ManagedContainerItemProvider

public abstract class ManagedContainerItemProvider.Wrapper extends Object implements Comparable<ManagedContainerItemProvider.Wrapper>

Author:
  Eike Stepper

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Wrapper()`

## Method Summary

Modifier and Type
Method
Description
`final int`
`compareTo(ManagedContainerItemProvider.Wrapper o)`
`abstract Object[]`
`getChildren()`
`abstract int`
`getElementCount()`
`abstract Object`
`getParent()`
`abstract String`
`getText()`
`abstract boolean`
`hasChildren()`
`final String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Wrapper

protected Wrapper()

## Method Details

### hasChildren

public abstract boolean hasChildren()

### getChildren

public abstract Object[] getChildren()

### getParent

public abstract Object getParent()

### getElementCount

public abstract int getElementCount()

### getText

public abstract String getText()

### compareTo

public final int compareTo(ManagedContainerItemProvider.Wrapper o)

Specified by:
  `compareTo` in interface `Comparable<ManagedContainerItemProvider.Wrapper>`

### toString

public final String toString()

Overrides:
  `toString` in class `Object`